%define _prefix /opt/freeware
%define _defaultdocdir %{_prefix}/doc

Summary: 	MIME type data files for GNOME desktop
Name: 		gnome-mime-data
Version: 	2.4.0
Release: 	1
URL: 		http://www.gnome.org
Source: 	%{name}-%{version}.tar.bz2

Patch0:		gnome-mime-data-2.4.0-autotools.patch

License: 	GPL
Group: 		System Environment/Libraries
BuildRoot: 	%{_tmppath}/%{name}-root
Conflicts:	gnome-vfs <= 1.0.3-1

%description
gnome-mime-data provides the file type recognition data files for gnome-vfs

%prep
%setup -q

if test x$PATCH = x ; then
  PATCH=patch ;
fi
$PATCH -p2 -s < %{_sourcedir}/gnome-mime-data-2.4.0-autotools.patch


%build
PATH=%{_bindir}:$PATH ./configure --prefix=%{_prefix}
make

%install
if test "%{buildroot}" != "/"; then
	rm -rf %{buildroot}
fi
mkdir -p %{buildroot}
make DESTDIR=%{buildroot} install-strip

%files 
%defattr(-,root,system)
%doc COPYING ChangeLog README
%config %{_sysconfdir}/gnome-vfs-mime-magic
%{_datadir}/application-registry
%{_datadir}/mime-info/*.keys
%{_datadir}/mime-info/*.mime
%{_datadir}/locale/*/LC_MESSAGES/gnome-mime-data.mo
%{_libdir}/pkgconfig/*
%{_mandir}/man*/*

